# MorphoBlueClaim

### Description

Claims rewards for MORPHO users

### Action ID

`0x07f9b8e2`

### SDK Action

```ts
const morphoBlueClaimAction = new dfs.actions.morpho-blue.MorphoBlueClaimAction(
    to,
    token,
    distributor,
    claimable,
    merkleProof
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param to The address to which to send the reward tokens.
    /// @param token The address of the token to claim.
    /// @param distributor The address of the morpho distributor contract.
    /// @param claimable The overall claimable amount of token rewards.
    /// @param merkleProof The merkle proof to claim the rewards.
    struct Params {
        address to;
        address token;
        address distributor;
        uint256 claimable;
        bytes32[] merkleProof;
    }
```

### Return Value

```solidity
return bytes32(claimed);
```

### Events and Logs

```solidity
emit ActionEvent("MorphoBlueClaim", logData);
logger.logActionDirectEvent("MorphoBlueClaim", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/morphoblue/morphoblueclaim.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
